"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const create_nestjs_middleware_module_1 = require("create-nestjs-middleware-module");
const expressSession = require("express-session");
const retriesMiddleware_1 = require("./retriesMiddleware");
exports.SessionModule = create_nestjs_middleware_module_1.createModule(options => {
    const { retries, session, retriesStrategy } = options;
    let middleware = expressSession(session);
    if (retries !== undefined) {
        middleware = retriesMiddleware_1.createRetriesMiddleware(middleware, retries, retriesStrategy);
    }
    return middleware;
});
//# sourceMappingURL=index.js.map